import org.antlr.runtime.*;
import org.antlr.stringtemplate.*;
import java.io.*;

public class Test  {
	public static void main(String[] args) throws Exception	{
	FileReader groupFileR = new FileReader("T.stg");
	StringTemplateGroup templates = new StringTemplateGroup(groupFileR);
	groupFileR.close();

	ANTLRInputStream input = new ANTLRInputStream(System.in);
	TLexer lexer = new TLexer(input);
	CommonTokenStream tokens = new CommonTokenStream(lexer);
	TParser parser = new TParser(tokens);
	parser.setTemplateLib(templates);
	TParser.s_return r = parser.s();
	Object output = r.getTemplate();
	System.out.println(output.toString());
	}
}
